### Method

# Gtk TextIterstarts_tag

#### Declaration [src]

    gboolean
    gtk_text_iter_starts_tag (
      const GtkTextIter* iter,
      GtkTextTag* tag
    )

#### Description [src]

Returns `TRUE` if `tag` is toggled on at exactly this point.

If `tag` is `NULL`, returns `TRUE` if any tag is toggled on at this point.

Note that if this function returns `TRUE`, it means that `iter` is at the beginning of the tagged range, and that the character at `iter` is inside the tagged range. In other words, unlike `gtk_text_iter_ends_tag()`, if this function returns `TRUE`, `gtk_text_iter_has_tag()` will also return `TRUE` for the same parameters.

#### Parameters

`tag`

  Type: `GtkTextTag`

  A `GtkTextTag`

  The argument can be `NULL`.
  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

Whether `iter` is the start of a range tagged with `tag`.